Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_serializer_set_error

## Name

librdf_serializer_set_error -- Set the serializer error handling function

## Synopsis

``void `librdf_serializer_set_error`` (librdf_serializer* `serializer`, void * `user_data`, void (*`error_fn`) (void *user_data, const char *msg, ...));`

## Arguments

`serializer`

  the serializer

`user_data`

  user data to pass to function

`error_fn`

  pointer to the function

## Description

The function will receive callbacks when the serializer fails.

<<< Previous | Home | Next >>>
librdf_finish_serializer | Up | librdf_serializer_set_warning